<?php
/**
 * Custom stylesheet
 *
 * @package Doo
 */

function vs_inline_styles() {

  $inline_styles = '';

  $design_primary_color = get_theme_mod( 'design_primary_color', '#c51e3a' );
  if ( '#c51e3a' !== $design_primary_color ) {
    $inline_styles .= '
a,

a:hover,
a:focus,
a:active,

.site-title a:hover,
.site-title a:focus,
.site-title a:active,

.navbar .navbar-nav a:hover,
.navbar .navbar-nav a:focus,

.navbar .navbar-nav .current-menu-ancestor > a,
.navbar .navbar-nav .current-menu-item > a,

.toggle-offcanvas,

.post-author .author-name a:hover,
.post-author .author-name a:focus,

.post-author .author-social a:hover i,
.post-author .author-social a:focus i,

.archive-wrap .archive-full .entry-header .entry-title a:hover,
.archive-wrap .archive-full .entry-header .entry-title a:focus,

.entry-meta-inner,

.entry-meta-inner a,

.post-prev-next .prev-link i,

.post-prev-next .next-link i,

.widget a:hover,
.widget a:focus,

.comment-form .logged-in-as a:hover,
.comment-form .logged-in-as a:focus,

.site-info-inner a:hover,
.site-info-inner a:focus {
  color: '.$design_primary_color.';
}

.widget_tag_cloud .tagcloud a:hover,
.widget_tag_cloud .tagcloud a:focus,

.pagination .nav-links a:hover,
.pagination .nav-links a:focus,

.pagination .nav-links .current {
  background-color: '.$design_primary_color.';
}

blockquote,

.site-header {
  border-color: '.$design_primary_color.';
}
    ';
  }

  wp_add_inline_style( 'vs-styles', $inline_styles );
}
add_action( 'wp_enqueue_scripts', 'vs_inline_styles' );
