<?php
/**
 * Post Meta Helper Functions
 *
 * @package Doo
 */

// Сategory
if ( ! function_exists( 'vs_get_meta_categorys' ) ) {
  function vs_get_meta_categorys() {
    $category_list = get_the_category_list(' ');
    if ( $category_list ) {
      ?>
      <span class="meta-category"><?php echo $category_list; ?></span>
      <?php
    }
  }
}

// Date
if ( ! function_exists( 'vs_get_meta_date' ) ) {
  function vs_get_meta_date() {
    ?>
    <span class="meta-date"><?php echo get_the_date(); ?></span>
    <?php
  }
}

// Author
if ( ! function_exists( 'vs_get_meta_author' ) ) {
  function vs_get_meta_author() {
    ?>
    <span class="meta-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo esc_html( get_the_author() ); ?></a></span>
    <?php
  }
}

// Comments
if ( ! function_exists( 'vs_get_meta_comments' ) ) {
  function vs_get_meta_comments() {
    if ( ! comments_open() ) {
      return;
    }
    ?>
    <span class="meta-comments"><?php comments_popup_link( esc_html__( 'No Comments', 'doo' ), esc_html__( '1 Comment', 'doo' ), '% ' . esc_html__( 'Comments', 'doo' ), 'comments-link', '' ); ?></span>
    <?php
  }
}

// Tags
if ( ! function_exists( 'vs_get_meta_tags' ) ) {
  function vs_get_meta_tags() {
    $tags_list = get_the_tag_list();
    if ( $tags_list ) {
      ?>
      <span class="meta-tags"><?php echo $tags_list; ?></span>
      <?php
    }
  }
}
